gr::gfdm::transmitter_cc_impl Class Reference

`#include <transmitter_cc_impl.h>`

Inheritance diagram for gr::gfdm::transmitter_cc_impl:
[legend]

## Public Member Functions

| transmitter_cc_impl (int timeslots, int subcarriers, int active_subcarriers, int cp_len, int cs_len, int ramp_len, std::vector< int > subcarrier_map, bool per_timeslot, int overlap, std::vector< gr_complex > frequency_taps, std::vector< gr_complex > window_taps, std::vector< gr_complex > preamble, const std::string &tsb_tag_key="")
| ~transmitter_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | fixed_rate_ninput_to_noutput (int ninput)
int | fixed_rate_noutput_to_ninput (int noutput)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::transmitter_cc
typedef boost::shared_ptr< transmitter_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::transmitter_cc
static sptr | make (int timeslots, int subcarriers, int active_subcarriers, int cp_len, int cs_len, int ramp_len, std::vector< int > subcarrier_map, bool per_timeslot, int overlap, std::vector< gr_complex > frequency_taps, std::vector< gr_complex > window_taps, std::vector< gr_complex > preamble, const std::string &tsb_tag_key="")
| Return a shared_ptr to a new instance of gfdm::transmitter_cc.

## Constructor & Destructor Documentation

## transmitter_cc_impl()

gr::gfdm::transmitter_cc_impl::transmitter_cc_impl | ( | int | timeslots,
|  | int | subcarriers,
|  | int | active_subcarriers,
|  | int | cp_len,
|  | int | cs_len,
|  | int | ramp_len,
|  | std::vector< int > | subcarrier_map,
|  | bool | per_timeslot,
|  | int | overlap,
|  | std::vector< gr_complex > | frequency_taps,
|  | std::vector< gr_complex > | window_taps,
|  | std::vector< gr_complex > | preamble,
|  | const std::string & | tsb_tag_key = `""`
| ) |  |

## ~transmitter_cc_impl()

gr::gfdm::transmitter_cc_impl::~transmitter_cc_impl | ( |  | ) |

## Member Function Documentation

## fixed_rate_ninput_to_noutput()

int gr::gfdm::transmitter_cc_impl::fixed_rate_ninput_to_noutput | ( | int | ninput | ) |

## fixed_rate_noutput_to_ninput()

int gr::gfdm::transmitter_cc_impl::fixed_rate_noutput_to_ninput | ( | int | noutput | ) |

## forecast()

void gr::gfdm::transmitter_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::gfdm::transmitter_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- transmitter_cc_impl.h